Subject: bug#59631: 29.0.50; [PATCH] New check-man target to check man pages for errors

From: Stefan Kangas <[email-masked]>
Date: Thu, 1 Dec 2022 07:02:16 -0800

Eli Zaretskii <[email-masked]> writes:

> Can this be done by running Groff directly instead of via 'man'?  If it's
> possible, it's IMO better, since Groff installations are more widespread
> than the particular variant of 'man' you used in the script.  E.g., I think
> the requirement for C.UTF-8 locale being available can be dropped in that
> case.

The version of man used is man-db, which AFAIK is used by all major
GNU/Linux distributions.

    https://man-db.gitlab.io/man-db/

Looking into this with PIPELINE_DEBUG=1, the processing done is
non-trivial, and depends on e.g. /usr/libexec/man-db/zsoelim from
man-db.  So I think trying to duplicate all of that for the purposes of
this script might not be the best use of our time.

For reference, I've attached the debug output from man.